Package org.apache.sysds.runtime.compress.cost

## Class InstructionTypeCounter

- java.lang.Object
- - org.apache.sysds.runtime.compress.cost.InstructionTypeCounter

All Implemented Interfaces:
  `Serializable`

    public final class InstructionTypeCounter
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`InstructionTypeCounter()`
`InstructionTypeCounter​(int scans, int decompressions, int overlappingDecompressions, int leftMultiplications, int rightMultiplications, int compressedMultiplications, int dictionaryOps, int indexing, boolean isDensifying)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCompressedMultiplications()`
`int` `getDecompressions()`
`int` `getDictionaryOps()`
`int` `getIndexing()`
`int` `getLeftMultiplications()`
`int` `getOverlappingDecompressions()`
`int` `getRightMultiplications()`
`int` `getScans()`
`void` `incCMM()`
`void` `incCMM​(int c)`
`void` `incDecompressions()`
`void` `incDecompressions​(int c)`
`void` `incDictOps()`
`void` `incDictOps​(int c)`
`void` `incIndexOp()`
`void` `incIndexOp​(int c)`
`void` `incLMM()`
`void` `incLMM​(int c)`
`void` `incOverlappingDecompressions()`
`void` `incOverlappingDecompressions​(int c)`
`void` `incRMM()`
`void` `incRMM​(int c)`
`void` `incScans()`
`void` `incScans​(int c)`
`boolean` `isDensifying()`
`void` `setDensifying​(boolean d)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InstructionTypeCounter

    public InstructionTypeCounter()

#### InstructionTypeCounter

    public InstructionTypeCounter​(int scans,
                                  int decompressions,
                                  int overlappingDecompressions,
                                  int leftMultiplications,
                                  int rightMultiplications,
                                  int compressedMultiplications,
                                  int dictionaryOps,
                                  int indexing,
                                  boolean isDensifying)

### Method Detail

#### getScans

    public int getScans()

#### incScans

    public void incScans()

#### incScans

    public void incScans​(int c)

#### getDecompressions

    public int getDecompressions()

#### incDecompressions

    public void incDecompressions()

#### incDecompressions

    public void incDecompressions​(int c)

#### getOverlappingDecompressions

    public int getOverlappingDecompressions()

#### incOverlappingDecompressions

    public void incOverlappingDecompressions()

#### incOverlappingDecompressions

    public void incOverlappingDecompressions​(int c)

#### getLeftMultiplications

    public int getLeftMultiplications()

#### incLMM

    public void incLMM()

#### incLMM

    public void incLMM​(int c)

#### getRightMultiplications

    public int getRightMultiplications()

#### incRMM

    public void incRMM()

#### incRMM

    public void incRMM​(int c)

#### getCompressedMultiplications

    public int getCompressedMultiplications()

#### incCMM

    public void incCMM()

#### incCMM

    public void incCMM​(int c)

#### getDictionaryOps

    public int getDictionaryOps()

#### incDictOps

    public void incDictOps()

#### incDictOps

    public void incDictOps​(int c)

#### getIndexing

    public int getIndexing()

#### incIndexOp

    public void incIndexOp()

#### incIndexOp

    public void incIndexOp​(int c)

#### setDensifying

    public void setDensifying​(boolean d)

#### isDensifying

    public boolean isDensifying()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`